Skip to main content
Version: 1.5.x

Export AI Dubbing

Convert the video to the language you want! When you upload the file, you'll get dubbing and precise lip sync translated into the language you choose, and you'll be able to check your progress in real time. (China will be available later)

1. File upload and dub request​

1-1. API endpoint​

https://app.aistudios.com/api/odin/v3/automation/translatevideos

1-2. Request parameter​

keydesctyperequireddefault
fileVideo file (Either file or url is required)Filefalse-
urlYouTube url (Either file or url is required)Stringfalse-
originalthe original language of the video to be translatedStringfalseauto
originalSrtOriginal subtitle file of the video to be translatedFilefalse-
target_[0, …, 9]Target language code, up to 10 allowedStringtrue-
targetSrt_[0, …, 9]Target subtitle file, up to 10 allowedFilefalse-
isDubbingOnlyVoice-only dubbingBooleanfalsefalse
isRemoveBGMRemove the BGMBooleanfalsefalse
isCaptionFileAdd SubtitleBooleanfalsefalse
numberOfSpeakersNumber of speakers, up to 5Stringfalseauto
caution
  • At least one of 'file' and 'url' ** must be specified.**

1-3. Language Code​

LanguageCode
Englishen-US
Hindihi-IN
Portuguesept-PT
Chinesezh-CN
Spanishes-ES
Frenchfr-FR
Germande-DE
Japaneseja-JP
Arabicar-SA
Russianru-RU
Koreanko-KR
Indonesianid-ID
Italianit-IT
Dutchnl-NL
Turkishtr-TR
Polishpl-PL
Swedishsv-SE
Filipinofil-PH
Malayms-MY
Romanianro-RO
Ukrainianuk-UA
Greekel-GR
Czechcs-CZ
Danishda-DK
Finnishfi-FI
Bulgarianbg-BG
Croatianhr-HR
Slovaksk-SK
Tamilta-IN
Vietnamesevi-VN

1-4. Response parameters​

keydesctype
folderIdfolderId that made the export requestString

1-5. Sample Request​

curl https://app.aistudios.com/api/odin/v3/automation/translatevideos  \
-H "Authorization: ${API KEY}" \
-H "Content-Type: application/json" \
-X POST \
-F "file=@'${LOCAL FILE PATH}'" \
-F "target_0='en-US'"
-F "target_1='ko-KR'"
-F "target_2='ja-JP'"

2. Check progression conditions​

2-1. API endpoint​

https://app.aistudios.com/api/odin/v3/automation/translatevideos?folderId=${folderId}

2-2. Response parameters​

keydesctype
projectIdProject IDString
nameProject NameString
progressSynthetic progressFloat
download_urlDownload URL of the completed videoString

2-3. Sample Request​

curl https://app.aistudios.com/api/odin/v3/automation/translatevideos?folderId=${folderId}  \
-H "Authorization: ${API KEY}" \
-H "Content-Type: application/json" \
-X GET